VIGRA - VIGRA: BilinearInterpolatingAccessor Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| BilinearInterpolatingAccessor [Data Accessors] |

Bilinear interpolation at non-integer positions. More...

`#include <vigra/interpolating_accessor.hxx>`

List of all members.

## Public Types
typedef VALUETYPE | value_type
## Public Member Functions
| BilinearInterpolatingAccessor (ACCESSOR a)
template<class ITERATOR>
value_type | operator() (ITERATOR const &i, float x, float y) const
template<class ITERATOR>
value_type | unchecked (ITERATOR const &i, float x, float y) const

## Detailed Description

### template<class ACCESSOR, class VALUETYPE>
class vigra::BilinearInterpolatingAccessor< ACCESSOR, VALUETYPE >

Bilinear interpolation at non-integer positions.

This accessor allows an image be accessed at arbitrary non-integer coordinates and performs an bi-linear interpolation to obtain a pixel value. It uses the given ACCESSOR (which is usually the accessor originally associated with the iterator) to access data.

#include <vigra/accessor.hxx> Namespace: vigra

Required Interface:

        ITERATOR iter;
        ACCESSOR a;
        VALUETYPE destvalue;
        float s;
        int x, y;

        destvalue = s * a(iter, x, y) + s * a(iter, x, y);

## Member Typedef Documentation

typedef VALUETYPE value_type

the iterators' pixel type

## Constructor & Destructor Documentation

BilinearInterpolatingAccessor | ( | ACCESSOR | a | ) |

init from given accessor

## Member Function Documentation

value_type operator() | ( | ITERATOR const & | i,
|  | float | x,
|  | float | y |
| ) |  |  | const

Interpolate the data item at a non-integer position. Ensure that no outside pixels are accessed if (x, y) is near the image border (as long as 0 <= x <= width-1, 0 <= y <= height-1).

value_type unchecked | ( | ITERATOR const & | i,
|  | float | x,
|  | float | y |
| ) |  |  | const

Interpolate the data item at a non-integer position. This function works as long as 0 <= x < width-1, 0 <= y < height-1. It is slightly faster than `operator()`.

The documentation for this class was generated from the following file:

- vigra/interpolating_accessor.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)